#!/bin/bash
source /etc/os-release
OS=$ID
SCRIPTPATH="$( cd "$( dirname $(realpath $0) )" >/dev/null && pwd )"
TMPDIR="/tmp/amiserv5"

mysql -u root < "$SCRIPTPATH/db.sql"

cp "$SCRIPTPATH/amiserv5.service" /etc/systemd/system/
systemctl daemon-reload

sed -i 's/<file value=.*/<file value="\/var\/log\/amiserv5.log" \/>/' /tmp/amiserv5/AmiServ5Service.exe.config.old

echo "" >> /etc/amiserv5/Config.txt
echo "# Set to 1 if you want to disable CPBX5 directories." >> /etc/amiserv5/Config.txt
echo "DisableCPBX5Directories=0" >> /etc/amiserv5/Config.txt
